
let menuIcon = document.querySelector("header .container nav .toggle");
console.log(menuIcon);
let menu = document.querySelector("header .container nav .links")

// add Class show to the links list
menuIcon.addEventListener("click", function () {
    console.log("click on menuIcon");
    menu.classList.toggle("show");
});


// To close the menu when you press anywhere in the screen
document.addEventListener("click", function (e) {
    if (e.target !== menuIcon && e.target !== menu) {
        if (menu.classList.contains("show")) {
            menu.classList.remove("show");
        }
    }
})

// stop propagation on menu
menu.onclick = function (e) {
    e.stopPropagation();
}



// active link
const links = document.querySelectorAll("header .container nav .links li a");
let linksArr = Array.from(links);
linksArr.forEach((el) => {
    el.addEventListener("click", (e) => {
        linksArr.forEach((el) => {
            el.classList.remove("active");
        });
        e.currentTarget.classList.add("active");
    })
})


